
Robotics Service Bus - Enhancement #395
Provide a default implementation of getClassName for Handlers
06/28/2011 11:00 AM - J. Wienke

Status: Resolved Start date: 06/28/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.4
Description

Clients should not be required to implement this, as the compiler warning is not intuitive.

Associated revisions
Revision c738736d - 07/03/2011 04:14 PM - J. Moringen
Added getClassName() method in src/rsb/Handler.h
fixes #395
    -  src/rsb/Handler.h: added getClassName() method so clients don't have

  to write their own if this default is good enough

History
#1 - 07/03/2011 04:18 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1919.

#2 - 07/25/2011 06:13 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4
